def session_setup():
    print("Session setup for %s" % control.asrequirement())
    print("Disabling : telemetry, check for update, updating, update note tab")
    import json

    # https://developer.hyvor.com/vscode-editing-settings-json

    # C:\Users\user\AppData\Roaming\Code\User\settings.json
    app_roam_appdata = makepath(application_data, "Code")
    conf_file_path = makepath(app_roam_appdata, "User", "settings.json")

    if not isdir(app_roam_appdata):
        mkdirs(app_roam_appdata)
    settings_json_content = {
        "telemetry.enableTelemetry": False,
        "telemetry.enableCrashReporter": False,
        "update.mode": "none",
        "update.enableWindowsBackgroundUpdates": False,
        "update.showReleaseNotes": False,
    }
    if not isfile(conf_file_path):
        with open(conf_file_path, "w+") as outfile:
            json.dump(settings_json_content, outfile, indent=4)
    else:
        with open(conf_file_path, "r+") as f:
            settings_json_outfile = json.load(f)
            settings_json_outfile.update(settings_json_content)
            f.seek(0, 0)
            json.dump(settings_json_outfile, f, indent=4)
