def session_setup():
    print("Disabling: auto-update-check")

    user_config_json = "config.json"
    user_config_dir = makepath(user_appdata, "Rocket.Chat")
    user_config_json_path = makepath(user_config_dir, user_config_json)
    user_config_json_content = json.loads(
        '{"doCheckForUpdatesOnStartup": false,"isEachUpdatesSettingConfigurable": false,"isUpdatingEnabled": false,"isTrayIconEnabled": true}'
    )

    # Writting configuration file
    if not isdir(user_config_dir):
        mkdirs(user_config_dir)
    if isfile(user_config_json_path):
        data = json_load(user_config_json_path)
        data.update(user_config_json_content)
    else:
        data = user_config_json_content
    json_write(user_config_json_path, data)

    print("Copying: Spell Check Dictionaries")
    user_dictionaries_dir = makepath(user_appdata, "Rocket.Chat", "Dictionaries")

    if not isdir(user_dictionaries_dir):
        mkdirs(user_dictionaries_dir)
    for copy_dic in glob.glob(makepath(dictionaries_dir, "*")):
        bdic_file_name = copy_dic.split("\\")[-1]
        if not isfile(makepath(user_dictionaries_dir, bdic_file_name)):
            filecopyto(copy_dic, makepath(user_dictionaries_dir, bdic_file_name))
