#!waptpython
# -*- coding: utf-8 -*-
import os
import sys

sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)))
from setupdevhelpers import *
from dev_utils import *

sys.path.insert(0, sys.executable.rsplit(os.path.sep, 1)[0].replace("/bin", "").replace("\\Scripts", ""))
from setuphelpers import *


def main():
    launch_dir = os.getcwd()
    asked_dir = ask_directory("Select the folder where update_package.py files will be duplicated in subfolders", launch_dir, raise_error=True)
    if asked_dir not in launch_dir:
        error("ERROR: You did not selected a dir in this package")
    launch_dir = asked_dir

    package_dirs = get_package_dirs(launch_dir, True)
    overwrite_older_files(package_dirs, makepath_function("update_package.py"))


if __name__ == "__main__":
    main()
