#!waptpython
# -*- coding: utf-8 -*-
import os
import sys

sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)))
from setupdevhelpers import *
from dev_utils import *

sys.path.insert(0, sys.executable.rsplit(os.path.sep, 1)[0].replace("/bin", "").replace("\\Scripts", ""))
from setuphelpers import *


def main():
    pkg_path = os.getcwd()
    checked_repo = check_repo(pkg_path)
    if not "git repository" in checked_repo:
        update_repo(pkg_path)
    if isfile(makepath(pkg_path, "update_package.py")):
        print("wapt-get update-package-sources")
        print(run(f'wapt-get update-package-sources "{pkg_path}" --no-ide', timeout=1200))
    print("wapt-get uninstall")
    print(run(f'wapt-get uninstall "{pkg_path}" --no-ide', timeout=600))
    print("wapt-get install")
    print(run(f'wapt-get install "{pkg_path}" --no-ide', timeout=1800))
    print("wapt-get session-setup")
    print(run(f'wapt-get session-setup "{pkg_path}" --no-ide', timeout=600))
    print("wapt-get audit")
    print(run(f'wapt-get audit "{pkg_path}" --no-ide', timeout=600))


if __name__ == "__main__":
    main()
