def uninstall():
    editor_dir = makepath(programfiles32, "MSC.Software")
    app_dir = makepath(editor_dir, "Adams", "2019_2")
    if isdir(app_dir):
        remove_tree(app_dir)
    if remove_empty_directories(editor_dir):
        remove_tree(editor_dir)


def remove_empty_directories(root_directory):
    if os.path.exists(root_directory):
        for dirpath, dirnames, filenames in os.walk(root_directory, topdown=False):
            if not any(os.scandir(dirpath)):
                os.rmdir(dirpath)
                print(f"Removed empty directory: {dirpath}")
